<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.anonymousUserId">var.anonymousUserId</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;resultSet queryID="user">&lt;row>&lt;ID>anonymous-1212&lt;/ID>&lt;/row>&lt;row>&lt;ID>anonymous-1214&lt;/ID>&lt;/row>&lt;/resultSet>&lt;/ResultSets></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">90</Property>
		<Property name="ISCurrentTime" type="Long">1659097773534</Property>
		<Property name="ISWorkflowName">VAM_api_database_query</Property>
		<Property name="ISModuleName">If@@@Begin</Property>
		<Property name="ISModuleId">3</Property>
		<Property name="ISProcessId">246276</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">246276</Property>
		<Property name="var.userId">mm</Property>
		<Property name="var.anonymousUserId">8888</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:local="local:local" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:function name="local:dateTimeDB">&lt;xsl:param name="var.dateTime"/>&lt;xsl:value-of select="format-dateTime(adjust-dateTime-to-timezone($var.dateTime, xs:dayTimeDuration(&amp;quot;PT0H&amp;quot;)), &amp;quot;[Y0001]-[M01]-[D01] [H01]:[m01]:[s01].[f001]&amp;quot;)"/>&lt;/xsl:function>&lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.anonymousUserId"/>
  &lt;xsl:template match="/*">&lt;queries>&lt;xsl:variable name="var.newUserId">&lt;xsl:choose>&lt;xsl:when test="$var.anonymousUserId != '' and exists(resultSet/*)">&lt;!--bereits vorhanden-->&lt;/xsl:when>&lt;xsl:when test="$var.anonymousUserId != ''">&lt;xsl:value-of select="$var.anonymousUserId"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:value-of select="concat('anonymous-', max((0, resultSet/*[matches(ID, 'anonymous-[0-9]+$')]/number(replace(ID, 'anonymous-([0-9]+)', '$1')))) + 1)"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:variable>&lt;xsl:if test="$var.newUserId != ''">&lt;xsl:variable name="var.timestamp" select="local:dateTimeDB(current-dateTime())"/>&lt;query type="insert" queryID="{ $var.newUserId }">&lt;tables>&lt;table>&lt;tableNames>&lt;tableName>USERS&lt;/tableName>&lt;/tableNames>&lt;fields>&lt;field>&lt;fieldName>ID&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.newUserId"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>DISPLAYNAME&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.newUserId"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>NAME&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.newUserId"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>LOGINNAME&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.newUserId"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>EMAILADDRESS&lt;/fieldName>&lt;fieldValue/>&lt;/field>&lt;field>&lt;fieldName>LOCALE&lt;/fieldName>&lt;fieldValue>en&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>LANGUAGE&lt;/fieldName>&lt;fieldValue>en&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>COUNTRY&lt;/fieldName>&lt;fieldValue/>&lt;/field>&lt;field>&lt;fieldName>CREATEDON&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.timestamp"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>LASTUPDATEDON&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.timestamp"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>ACTIVE&lt;/fieldName>&lt;fieldValue>0&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>CTXDUMMY&lt;/fieldName>&lt;fieldValue> &lt;/fieldValue>&lt;/field>&lt;/fields>&lt;/table>&lt;/tables>
          
        &lt;/query>&lt;/xsl:if>&lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>